Bug 1467211 - KDE 5 (Plasma) panels break/change/copy/clone, lose or mix up panel configuration when monitor or docking station disconnected
KDE 5 (Plasma) panels break/change/copy/clone, lose or mix up panel configura...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 03:34 EDT by Basic Six
Modified: 2017-12-12 05:27 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:27:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
KDE panel copied/cloned (73.48 KB, image/png)
2017-07-03 03:34 EDT, Basic Six
no flags Details

  None (edit)
Description Basic Six 2017-07-03 03:34:48 EDT
Created attachment 1293772 [details]
KDE panel copied/cloned

Description of problem:

This is a laptop which is usually connected to a docking station with an external monitor. Two panels are (were) configured in KDE, one at the top with the application launcher button and the tray area in the top right corner and one at the bottom of the screen with the task list showing all windows on the current workspace.
After removing the laptop from the docking station, the panel configuration seems all mixed up. Both panels are identical now, except for the clock, which has not been copied to the bottom panel. Instead of two panels, there are now two copies of one panel, which is rather inconvenient, especially because the task list uses so much space that it really fills up the panel.

In addition to that, the battery icon keeps disappearing and reappearing every few seconds now, which is really irritating. Since this never happened before, it must be related to whatever KDE did after removing the laptop from the docking station.



Version-Release number of selected component (if applicable):

Fedora 25
plasmashell 5.9.5



How reproducible:

Happens when disconnecting from docking station / monitor.



Steps to Reproduce:
1. Configure two panels in KDE, on a laptop.
2. Use/resume laptop in a different location (different monitor setup).
3. Panel configuration broken, desktop difficult to use.



Actual results:

Panel configuration broken after removing the laptop from the docking station.



Expected results:

Everything should keep working after removing the laptop from the docking station (like in Cinnamon for example) and the panel configuration should not change.


Additional info:

For completeness' sake, I'll attach a screenshot showing the broken configuration (not at all how I configured it). In addition to the panel, it also "copied" the "Software Updates Available" message, but that might be unrelated.
Comment 1 Basic Six 2017-07-03 04:05:21 EDT
Forgot to mention: The task list(s) in the two "cloned" and broken panels don't update when switching workspaces. The screenshot shows a workspace with no windows, but both copies of the task list show windows.
Comment 2 David Eldon 2017-08-10 15:17:33 EDT
I have encountered this bug. I have two panels on two monitors, each with a task list set to show only task from the current desktop. After undocking my laptop and reconnecting it to the dock, the panels get mixed up as in the report, and both panels seem to refer to tasks on the same screen. That is, the panel on screen 1 and the panel on screen 2 both list tasks from only screen 1. Moving the panel on screen 2 to screen 1 and back fixes the task list part of the problem.
Comment 3 Fedora End Of Life 2017-11-16 14:24:46 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-12-12 05:27:44 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.